Skip to main content
GET
/
public
/
v1
/
budgets
/
{budget_id}
Get budget
curl --request GET \
  --url https://api.dualentry.com/public/v1/budgets/{budget_id}/ \
  --header 'X-API-KEY: <api-key>'
{
  "id": 123,
  "name": "<string>",
  "company_id": 123,
  "company_name": "<string>",
  "calendar_year": 123,
  "start_date": "2023-12-25",
  "end_date": "2023-12-25",
  "updated_at": "2023-11-07T05:31:56Z",
  "actuals_offset_in_months": 123,
  "classifications": [
    {
      "id": 123,
      "name": "<string>",
      "line_id": 123,
      "line_name": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

budget_id
integer
required

Response

OK

id
integer
required
name
string
required
company_id
integer | null
required
company_name
string
required
budget_type
enum<string>
required
Available options:
income_statement,
balance_sheet
calendar_year
integer
required
start_date
string<date>
required
end_date
string<date>
required
record_status
enum<string>
required
Available options:
draft,
posted,
archived
updated_at
string<date-time>
required
actuals_offset_in_months
integer | null
classifications
PublicBudgetClassificationSchemaOut · object[]
Last modified on May 28, 2026